Mail archive
alpine-aports

[alpine-aports] [PATCH 1/5] testing/girara: move from unmaintained, update

From: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
Date: Sun, 29 Jan 2017 16:57:27 +0100

---
 testing/girara/APKBUILD      | 38 ++++++++++++++++++++++++++++++++++++++
 unmaintained/girara/APKBUILD | 31 -------------------------------
 2 files changed, 38 insertions(+), 31 deletions(-)
 create mode 100644 testing/girara/APKBUILD
 delete mode 100644 unmaintained/girara/APKBUILD
diff --git a/testing/girara/APKBUILD b/testing/girara/APKBUILD
new file mode 100644
index 0000000000..ceb0596d53
--- /dev/null
+++ b/testing/girara/APKBUILD
_at_@ -0,0 +1,38 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell_at_fangorn.ch>
+pkgname=girara
+pkgver=0.2.6
+pkgrel=0
+pkgdesc="girara - gtk user interface that focuses on simplicity and minimalism"
+url="https://pwmt.org/projects/girara/"
+arch="all"
+license="zlib"
+depends=""
+makedepends="gtk+3.0-dev libnotify-dev intltool doxygen check-dev"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-lang"
+source="https://pwmt.org/projects/girara/download/girara-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+    make -C "$_builddir" COLOR=0 || return 1
+    make -C "$_builddir/doc" COLOR=0 || return 1
+}
+
+package() {
+	make PREFIX=/usr DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
+doc() {
+    pkgdesc="girara - gtk user interface that focuses on simplicity and minimalism (documentation)"
+    _docdir="$subpkgdir"/usr/share/doc/$pkgname/
+    mkdir -p "$_docdir"
+    cp -r "$_builddir"/doc/build/html/* "$_docdir"
+}
+
+md5sums="99900fc6bfb769a2cc76c234000a64d7  girara-0.2.6.tar.gz"
+sha256sums="eba69b3522b4d149e06d133de52877913275873c505993fad08b6d7884ec9a0f girara-0.2.6.tar.gz"
+sha512sums="a55702fc85594c6b8ee2cf3cdcde659b2b85559d1d5d2eff9ff05247b9762d0ee4ccc8e5e2fbb12ad174fb85bca7941a413c866aafa419765ed88cc1c4efa901  girara-0.2.6.tar.gz"
diff --git a/unmaintained/girara/APKBUILD b/unmaintained/girara/APKBUILD
deleted file mode 100644
index f3864477a6..0000000000
--- a/unmaintained/girara/APKBUILD
+++ /dev/null
_at_@ -1,31 +0,0 @@
-# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
-# Contributor: Andrew Hills <ahills_at_ednos.net>
-# Maintainer: Andrew Hills <ahills_at_ednos.net>
-pkgname=girara
-pkgver=0.2.5
-pkgrel=1
-pkgdesc="GTK+3 user interface library"
-url="https://pwmt.org/projects/girara"
-arch="all"
-license="zlib"
-depends=""
-depends_dev=""
-makedepends="gtk+3.0-dev libnotify-dev"
-install=""
-subpackages="$pkgname-dev $pkgname-lang"
-source="https://pwmt.org/projects/girara/download/girara-$pkgver.tar.gz"
-
-_builddir="$srcdir"/girara-$pkgver
-build() {
-	cd "$_builddir"
-	make COLOR=0 || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make COLOR=0 DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="4c4d86cf1372e6e1947cbc438e452c08  girara-0.2.5.tar.gz"
-sha256sums="5cf4f2d044385b189ed8e9efcae8532db1f2d63a240a1e226f3491c996aba892  girara-0.2.5.tar.gz"
-sha512sums="62f497d0bcab0765946d141b5c9bd79459e526e385da32f69311e810c9142e570de41521b98df8e08b44e0e34326db370f5b5ed4cb02bbdc2124febe6c2cce45  girara-0.2.5.tar.gz"
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jan 29 2017 - 16:57:27 GMT